跳转到主要内容
告警与响应相关接口/告警通道与集成
DELETEAlerting起始版本 1.0同步需要认证

删除告警Webhook端点

删除Webhook端点永久。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

查询参数

请求参数

路径参数

  • endpointIdString必填

    端点标识符删除。

查询参数

  • options.propagationPolicyString

    选项传播策略。

  • options.forceBoolean

    选项强制。

    示例: true

  • options.gracePeriodSecondsInteger

    选项宽限周期秒。

    示例: 0

  • options.revokeRemoteCredentialsBoolean

    选项撤销远程凭证。

    示例: true

响应状态

DELETE 接口成功时返回空对象,失败时返回标准错误结构。

成功响应

{}

错误响应

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

请求地址

DELETE/api/v1/alerting/webhook-endpoints/{endpointId}

/api/v1/alerting/webhook-endpoints/{endpointId}

操作 ID

DeleteAlertWebhookEndpoint

永久链接

请求示例

curl -X DELETE '{host}/api/v1/alerting/webhook-endpoints/{endpointId}' -H 'Authorization: Bearer {token}'

响应示例

200
{}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史